10 Replies Latest reply: May 16, 2012 2:17 PM by rysalka RSS

    Problems installing OEM clinet on Linux

    rysalka
      Hello --

      I am stuck during the installation of OEM client (Linux_x86_64_Grid_Control_Agent_11.1.0.1.0) on Linux. Here is my environment:
      <db1> cat /etc/*-release
      Oracle Linux Server release 6.1
      Red Hat Enterprise Linux Server release 6.1 (Santiago)
      Oracle Linux Server release 6.1
      <db1> 
      Linux version 2.6.32-131.4.1.el6.x86_64 (mockbuild@ca-build44.us.oracle.com) (gcc version 4.4.4 20100726 (Red Hat 4.4.4-13) (GCC) ) #1 SMP Wed Jun 15 13:25:00 EDT 2011
      I am running installation in silent mode as follows:
      . runInstaller -silent -responseFile    /app/oracle/dist/linux_x64/response/erpdba_additional_agent.rsp
      Installation gets stuck on this:
      Starting Oracle Universal Installer...
      
      Checking Temp space: must be greater than 150 MB.   Actual 762 MB    Passed
      Checking swap space: must be greater than 150 MB.   Actual 4041 MB    Passed
      Preparing to launch Oracle Universal Installer from /tmp/OraInstall2012-05-02_09-34-03AM. Please wait ...<cmsprddb1.es.gwu.edu:OEMAgentR1v11101> Warning: Is the following line present in /app/oracle/dist/linux_x64/response/erpdba_additional_agent.rsp correct?
      MYORACLESUPPORT_USERNAME=
      
      Warning: This line is not added to HashMap
      Warning: Is the following line present in /app/oracle/dist/linux_x64/response/erpdba_additional_agent.rsp correct?
      MYORACLESUPPORT_PASSWORD=
      
      Warning: This line is not added to HashMap
      Warning: Is the following line present in /app/oracle/dist/linux_x64/response/erpdba_additional_agent.rsp correct?
      COLLECTOR_SUPPORTHUB_URL=
      
      Warning: This line is not added to HashMap
      Warning: Is the following line present in /app/oracle/dist/linux_x64/response/erpdba_additional_agent.rsp correct?
      PROXY_USER=
      
      Warning: This line is not added to HashMap
      Warning: Is the following line present in /app/oracle/dist/linux_x64/response/erpdba_additional_agent.rsp correct?
      PROXY_PWD=
      
      Warning: This line is not added to HashMap
      Warning: Is the following line present in /app/oracle/dist/linux_x64/response/erpdba_additional_agent.rsp correct?
      PROXY_HOST=
      
      Warning: This line is not added to HashMap
      Warning: Is the following line present in /app/oracle/dist/linux_x64/response/erpdba_additional_agent.rsp correct?
      PROXY_PORT=
      
      Warning: This line is not added to HashMap
      *** Check for updates ***
      *** Select Installation Type ***
      *** Check Prerequisites ***
      *** Specify Oracle Management Service Location ***
      And it just sits there. Here is the log:
      oracle.sysman.install.oneclick.EMGCInstaller
      -scratchPath
      /tmp/OraInstall2012-05-02_09-34-03AM
      -sourceLoc
      /app/oracle/dist/linux_x64/agent/install/../stage/products.xml
      -sourceType
      network
      -timestamp
      2012-05-02_09-34-03AM
      -nowelcome
      -silent
      -responseFile
      /app/oracle/dist/linux_x64/response/erpdba_additional_agent.rsp
      INFO: Using an existing InstallAreaControl for this Inventory Session with existing access level 1
      INFO: Using an existing InstallAreaControl for this Inventory Session with existing access level 1
      INFO: Using an existing InstallAreaControl for this Inventory Session with existing access level 1
      INFO: *** Check for updates ***
      INFO: The Option selected is skip
      INFO: *** Select Installation Type ***
      INFO: *** Check Prerequisites ***
      INFO: The PrereqLoc is: /app/oracle/dist/linux_x64/agent//stage/prereq
      INFO: *** Specify Oracle Management Service Location ***
      INFO: validating variable: ORACLE_AGENT_HOME_LOCATION
      INFO: Using an existing InstallAreaControl for this Inventory Session with existing access level 1
      What can it be? Please help.
        • 1. Re: Problems installing OEM clinet on Linux
          713555
          If doing a silent, which you have to with 11, and not using support settings

          set these in the response file

          SECURITY_UPDATES_VIA_MYORACLESUPPORT=FALSE
          DECLINE_SECURITY_UPDATES=TRUE

          and at least the warnings you get should be ignored.

          Edited by: deebee_eh on May 2, 2012 4:24 PM
          • 2. Re: Problems installing OEM clinet on Linux
            rysalka
            I set it to false, it was null and now I have more errors:
            /app/oracle/dist/linux_x64/response/erpdba_additional_agent.rsp
            INFO: Using an existing InstallAreaControl for this Inventory Session with existing access level 1
            INFO: Using an existing InstallAreaControl for this Inventory Session with existing access level 1
            INFO: Using an existing InstallAreaControl for this Inventory Session with existing access level 1
            INFO: ERROR: This is an invalid email address. The email address must contain one "@" symbol and at least one dot("."). If you have a My Oracle Support account, specify the email address you use to log in to My Oracle Support, for example, johndoe@mycompany.com
            INFO: ERROR: Silent Install has failed. Please check the log files for more details.
            ERROR: Silent Install has failed. Please check the log files for more details.
            can it be something wiht Linux OS? Lost....
            • 3. Re: Problems installing OEM clinet on Linux
              sb92075
              rysalka wrote:
              I set it to false, it was null and now I have more errors:
              /app/oracle/dist/linux_x64/response/erpdba_additional_agent.rsp
              INFO: Using an existing InstallAreaControl for this Inventory Session with existing access level 1
              INFO: Using an existing InstallAreaControl for this Inventory Session with existing access level 1
              INFO: Using an existing InstallAreaControl for this Inventory Session with existing access level 1
              INFO: ERROR: This is an invalid email address. The email address must contain one "@" symbol and at least one dot("."). If you have a My Oracle Support account, specify the email address you use to log in to My Oracle Support, for example, johndoe@mycompany.com
              INFO: ERROR: Silent Install has failed. Please check the log files for more details.
              ERROR: Silent Install has failed. Please check the log files for more details.
              can it be something wiht Linux OS? Lost....
              Problem Exists Between Keyboard And Chair.

              you need to correct the content of the response file.
              • 4. Re: Problems installing OEM clinet on Linux
                rysalka
                Thats the thing, I dont know what else to correct there. Here is my response file, maybe something jumps out here?
                RESPONSEFILE_VERSION=2.2.1.0.0
                
                #################################################################################
                #Inputs for Oracle Configuration Manager
                #################################################################################
                #-------------------------------------------------------------------------------
                #SECURITY_UPDATES_VIA_MYORACLESUPPORT:<Boolean> Whether security updates are reqi-
                #        uired via My Oracle Support
                #DECLINE_SECURITY_UPDATES:<Boolean> Whether security updates should be declined.
                #MYORACLESUPPORT_USERNAME & MYORACLESUPPORT_PASSWORD:<String> User name and passw-
                #        ord for My Oracle Support access, these will be effected only when SECU-
                #        RITY_UPDATES_VIA_MYORACLESUPPORT=true
                #COLLECTOR_SUPPORTHUB_URL:<String> If there is not direct connection and Support
                #        hub is deployed. Need to specify that URL.
                #-------------------------------------------------------------------------------
                SECURITY_UPDATES_VIA_MYORACLESUPPORT=false
                DECLINE_SECURITY_UPDATES=true
                MYORACLESUPPORT_USERNAME=
                MYORACLESUPPORT_PASSWORD=
                COLLECTOR_SUPPORTHUB_URL=
                
                ################################################################################
                #PARAMETERS FOR SOFTWARE UPDATES
                ################################################################################
                #-------------------------------------------------------------------------------
                #INSTALL_UPDATES_SELECTION:<String>
                # Option 1. If you want to skip the software updates, provide
                #      INSTALL_UPDATES_SELECTION="skip"
                # Option 2. If you have already downloaded the updates then provide
                #      INSTALL_UPDATES_SELECTION="staged"
                # If you choose the Option 2 then make sure you also provide STAGE_LOCATION.
                #STAGE_LOCATION:<String> Stage location for software updates. It will be effected
                #       only when INSTALL_UPDATES_SELECTION is  set to "staged"
                #-------------------------------------------------------------------------------
                INSTALL_UPDATES_SELECTION="skip"
                STAGE_LOCATION=<Value Unspecified>
                
                ################################################################################
                #PROXY DETAILS FOR SECURITY UPDATES/ SOFTWARE UPDATES
                ################################################################################
                #-------------------------------------------------------------------------------
                #PROXY_USER:<String> User name for proxy access.
                #PROXY_PWD:<String> Password for proxy access.
                #PROXY_HOST:<String> Server providing proxy access.
                #PROXY_PORT:<String> Port for proxy access.
                #------------------------------------------------------------------------------
                PROXY_USER=
                PROXY_PWD=
                PROXY_HOST=
                PROXY_PORT=
                
                ################################################################################
                #Various inputs required for Installation and Configuration
                ################################################################################
                #-------------------------------------------------------------------------------
                #ORACLE_AGENT_HOME_LOCATION:<String> The location of oracle agent home.
                #Agent home "agent11g" would be created under the directory specified by
                #ORACLE_AGENT_HOME_LOCATION.
                #-------------------------------------------------------------------------------
                ORACLE_AGENT_HOME_LOCATION=/app/oracle/middleware/11.1_2
                
                #-------------------------------------------------------------------------------
                #DEINSTALL_LIST:<StringList> List of components to be deinstalled during a
                #      deinstall session.The following choices are available. The value should
                #      contain only one of these choices.The choices are of the form
                #      Internal Name, Version : External name. Please use the internal name and
                #      version while specifying the value.
                #    oracle.sysman.top.agent, 10.2.0.0.0 : Oracle Management Agent 10.2.0.0.0
                #    oracle.sysman.top.em_seed, 10.2.0.0.0 : Oracle Enterprise Manager Repository Database 10.2.0.0.0
                #    oracle.sysman.top.oms, 10.2.0.0.0 : Oracle Enterprise Manager Grid Console 10.2.0.0.0
                #-------------------------------------------------------------------------------
                DEINSTALL_LIST={"oracle.sysman.top.agent","11.1.0.1.0"}
                
                #-------------------------------------------------------------------------------
                #b_silentInstall:<Boolean> The user should not change this value
                #CLUSTER_NODES:<StringList> This variable represents the cluster node names
                #       selected by the user for installation.
                #-------------------------------------------------------------------------------
                b_silentInstall=true
                #CLUSTER_NODES=<Value Unspecified>
                
                #-------------------------------------------------------------------------------
                #TOPLEVEL_COMPONENT:<StringList> The top level component to be installed in the
                #      current session.Value should contain only one of the following available
                #      choices.The choices are of the form Internal Name, Version : External name.
                #      Please use the internal name and version while specifying the value.
                #    oracle.sysman.top.agent, 10.3.0.0.0 : Oracle Management Agent 10.3.0.0.0
                #    Example: TOPLEVEL_COMPONENT = {"oracle.sysman.top.agent","10.3.0.0.0"}
                #-------------------------------------------------------------------------------
                TOPLEVEL_COMPONENT={"oracle.sysman.top.agent","11.1.0.1.0"}
                
                #-------------------------------------------------------------------------------
                #SELECTED_LANGUAGES:<StringList> Languages in which the components will be installed.
                #      The following choices are available. The value should contain only one of
                #      these choices.The choices are of the form Internal Name : External name.
                #      Please use the internal name while specifying the value.
                #    en,   : English
                #    de,   : German
                #    es,   : Latin American Spanish
                #    es_MX,   : Mexican Spanish
                #    es_ES,   : Spanish
                #    fr,   : French
                #    fr_CA,   : Canadian French
                #    it,   : Italian
                #    iw,   : Hebrew
                #    ja,   : Japanese
                #    ko,   : Korean
                #    pt_BR,   : Brazilian Portuguese
                #    zh_CN,   : Simplified Chinese
                #    zh_TW,   : Traditional Chinese
                #Example: SELECTED_LANGUAGES = {"en"}
                #-------------------------------------------------------------------------------
                #SELECTED_LANGUAGES={"en"}
                
                #-------------------------------------------------------------------------------
                #COMPONENT_LANGUAGES:<StringList> Languages in which the components will be installed.
                #      The following choices are available. The value should contain only one of
                #      these choices.The choices are of the form Internal Name : External name.
                #      Please use the internal name while specifying the value.
                #    en,   : English
                #    de,   : German
                #    es,   : Latin American Spanish
                #    es_MX,   : Mexican Spanish
                #    es_ES,   : Spanish
                #    fr,   : French
                #    fr_CA,   : Canadian French
                #    it,   : Italian
                #    iw,   : Hebrew
                #    ja,   : Japanese
                #    ko,   : Korean
                #    pt_BR,   : Brazilian Portuguese
                #    zh_CN,   : Simplified Chinese
                #    zh_TW,   : Traditional Chinese
                #Example: COMPONENT_LANGUAGES = {"en"}
                #-------------------------------------------------------------------------------
                COMPONENT_LANGUAGES={"en"}
                
                #-------------------------------------------------------------------------------
                #OMS_HOST:<String> OMS host info required to connect to OMS
                #OMS_PORT:<String> OMS port info required to connect to OMS
                #AGENT_REGISTRATION_PASSWORD:<String> Agent Registration Password needed to
                #     establish a secure connection to the OMS.
                #-------------------------------------------------------------------------------
                OMS_HOST=oemprd2.es.gwu.edu
                #OMS_PORT=1159
                OMS_PORT=4889
                AGENT_REGISTRATION_PASSWORD=regoms11g
                
                #-------------------------------------------------------------------------------
                #s_agentServiceName:<String> Sets the agent Service Name and this variable can be
                #      used to overrite the agent service name calculated by the install. This is
                #      required for only Windows.
                #      Example:
                #      s_agentServiceName = "Oracleagent10gAgent"      ;  default value
                #      s_agentServiceName = "GridAgent"                 ;  User specified value
                #-------------------------------------------------------------------------------
                #s_agentServiceName=""
                
                ####################################################################################
                #Please Don't change the values of these variables
                ####################################################################################
                #-------------------------------------------------------------------------------
                #FROM_LOCATION:<String> Complete path to the products.xml.
                #b_upgrade:<Boolean> "whether it is Upgrade or not"
                #EM_INSTALL_TYPE:<STRING> install type
                #-------------------------------------------------------------------------------
                FROM_LOCATION="./stage/products.xml"
                b_upgrade=false
                EM_INSTALL_TYPE="AGENT"
                Btw, this file works fine on Solaris, we used it for many installations there. This is first install on Linux and it is not working. Thank you!
                • 5. Re: Problems installing OEM clinet on Linux
                  sb92075
                  error of omission?


                  is below expected/required?

                  s_dlgEMEmailAddress=""
                  • 6. Re: Problems installing OEM clinet on Linux
                    rysalka
                    I dont think it is required. I have posted the original response file. With this file, the installer was getting stuck on InstallAreaControl:
                    INFO: validating variable: ORACLE_AGENT_HOME_LOCATION
                    INFO: Using an existing InstallAreaControl for this Inventory Session with existing access level 1
                    First advise in this thread was to set the value of MYORACLESUPPORT_USERNAME=false, which would have inactivated all of the other realted parameters. But, if you decline security updates, these parameters would be ignored anyways.
                    #################################################################################
                    #Inputs for Oracle Configuration Manager
                    #################################################################################
                    #-------------------------------------------------------------------------------
                    #SECURITY_UPDATES_VIA_MYORACLESUPPORT:<Boolean> Whether security updates are reqi-
                    #        uired via My Oracle Support
                    #DECLINE_SECURITY_UPDATES:<Boolean> Whether security updates should be declined.
                    #MYORACLESUPPORT_USERNAME & MYORACLESUPPORT_PASSWORD:<String> User name and passw-
                    #        ord for My Oracle Support access, these will be effected only when SECU-
                    #        RITY_UPDATES_VIA_MYORACLESUPPORT=true
                    #COLLECTOR_SUPPORTHUB_URL:<String> If there is not direct connection and Support
                    #        hub is deployed. Need to specify that URL.
                    #-------------------------------------------------------------------------------
                    SECURITY_UPDATES_VIA_MYORACLESUPPORT=false
                    DECLINE_SECURITY_UPDATES=true
                    MYORACLESUPPORT_USERNAME=
                    MYORACLESUPPORT_PASSWORD=
                    COLLECTOR_SUPPORTHUB_URL=
                    This same file works on Solaris though
                    • 7. Re: Problems installing OEM clinet on Linux
                      713555
                      I went over a doc I had from an install from a few months ago and this is what I have set. it really shouldnt be looking the rest of the myoracle varialbes if the security and decline are set appropriately


                      SECURITY_UPDATES_VIA_MYORACLESUPPORT="FALSE"
                      DECLINE_SECURITY_UPDATES="TRUE"
                      MYORACLESUPPORT_USERNAME=<Value Unspecified>
                      MYORACLESUPPORT_PASSWORD=<Value Unspecified>
                      COLLECTOR_SUPPORTHUB_URL=<Value Unspecified>
                      • 8. Re: Problems installing OEM clinet on Linux
                        rysalka
                        I modified my file as yours, the only dif is "". I am still getting stuck on "Specify Oracle Management Service Location".
                        _x64/response/erpdba_additional_agent.rsp correct?
                        MYORACLESUPPORT_USERNAME=
                        
                        Warning: This line is not added to HashMap
                        Warning: Is the following line present in /app/oracle/dist/linux_x64/response/erpdba_additional_agent.rsp correct?
                        MYORACLESUPPORT_PASSWORD=
                        
                        Warning: This line is not added to HashMap
                        Warning: Is the following line present in /app/oracle/dist/linux_x64/response/erpdba_additional_agent.rsp correct?
                        COLLECTOR_SUPPORTHUB_URL=
                        
                        Warning: This line is not added to HashMap
                        Warning: Is the following line present in /app/oracle/dist/linux_x64/response/erpdba_additional_agent.rsp correct?
                        PROXY_USER=
                        
                        Warning: This line is not added to HashMap
                        Warning: Is the following line present in /app/oracle/dist/linux_x64/response/erpdba_additional_agent.rsp correct?
                        PROXY_PWD=
                        
                        Warning: This line is not added to HashMap
                        Warning: Is the following line present in /app/oracle/dist/linux_x64/response/erpdba_additional_agent.rsp correct?
                        PROXY_HOST=
                        
                        Warning: This line is not added to HashMap
                        Warning: Is the following line present in /app/oracle/dist/linux_x64/response/erpdba_additional_agent.rsp correct?
                        PROXY_PORT=
                        
                        Warning: This line is not added to HashMap
                        *** Check for updates ***
                        *** Select Installation Type ***
                        *** Check Prerequisites ***
                        *** Specify Oracle Management Service Location ***
                        Changed this in resonse file:
                        RESPONSEFILE_VERSION=2.2.1.0.0
                        
                        #################################################################################
                        #Inputs for Oracle Configuration Manager
                        #################################################################################
                        #-------------------------------------------------------------------------------
                        #SECURITY_UPDATES_VIA_MYORACLESUPPORT:<Boolean> Whether security updates are reqi-
                        #        uired via My Oracle Support
                        #DECLINE_SECURITY_UPDATES:<Boolean> Whether security updates should be declined.
                        #MYORACLESUPPORT_USERNAME & MYORACLESUPPORT_PASSWORD:<String> User name and passw-
                        #        ord for My Oracle Support access, these will be effected only when SECU-
                        #        RITY_UPDATES_VIA_MYORACLESUPPORT=true
                        #COLLECTOR_SUPPORTHUB_URL:<String> If there is not direct connection and Support
                        #        hub is deployed. Need to specify that URL.
                        #-------------------------------------------------------------------------------
                        SECURITY_UPDATES_VIA_MYORACLESUPPORT="false"
                        DECLINE_SECURITY_UPDATES="true"
                        MYORACLESUPPORT_USERNAME=
                        MYORACLESUPPORT_PASSWORD=
                        COLLECTOR_SUPPORTHUB_URL=
                        
                        ################################################################################
                        :(
                        • 9. Re: Problems installing OEM clinet on Linux
                          mnazim-Oracle
                          Please check by providing in quotes
                          OMS_HOST="oemprd2.es.gwu.edu"
                          OMS_PORT=4889
                          AGENT_REGISTRATION_PASSWORD="regoms11g"
                          • 10. Re: Problems installing OEM clinet on Linux
                            rysalka
                            Apparently the version of Linux is not certified, hence unexplained errors.